Index: orxonox/trunk/src/world_entities/camera.cc
===================================================================
--- orxonox/trunk/src/world_entities/camera.cc	(revision 4489)
+++ orxonox/trunk/src/world_entities/camera.cc	(revision 4490)
@@ -77,5 +77,4 @@
 }
 
-
 /**
    \brief sets a new AspectRatio
@@ -107,4 +106,8 @@
 }
 
+/**
+   \brief sets the new VideoMode and initializes iteration to it.
+   \param mode the mode to change to.
+*/
 void Camera::setViewMode(ViewMode mode)
 {
@@ -141,5 +144,5 @@
 /**
    \brief Updates the position of the camera.
-   \param dt The time that elapsed.
+   \param dt: The time that elapsed.
 */
 void Camera::tick(float dt)
@@ -191,5 +194,8 @@
 }
 
-
+/**
+   \brief processes an event
+   \param event: the event to process
+*/
 void Camera::process(const Event &event)
 {
Index: orxonox/trunk/src/world_entities/camera.h
===================================================================
--- orxonox/trunk/src/world_entities/camera.h	(revision 4489)
+++ orxonox/trunk/src/world_entities/camera.h	(revision 4490)
@@ -15,5 +15,11 @@
 class Event;
 
-enum ViewMode{VIEW_NORMAL, VIEW_BEHIND, VIEW_FRONT, VIEW_LEFT, VIEW_RIGHT, VIEW_TOP};
+//! an enumerator for different types of view
+typedef enum ViewMode{ VIEW_NORMAL,
+		       VIEW_BEHIND,
+		       VIEW_FRONT,
+		       VIEW_LEFT,
+		       VIEW_RIGHT,
+		       VIEW_TOP };
 
 //! Camera
@@ -23,15 +29,4 @@
 class Camera : public PNode, public EventListener
 {
- private:
-  CameraTarget* target;            //!< The Target of the Camera (where this Camera Looks at)
-
-  float fovy;                      //!< The field of view Angle (in degrees).
-  float aspectRatio;               //!< The aspect ratio (width / height).
-  float nearClip;                  //!< The near clipping plane.
-  float farClip;                   //!< The far clipping plane.
-
-  Vector toRelCoor;
-  float toFovy;
-  
  public:
   Camera(void);
@@ -50,4 +45,15 @@
 
   void process(const Event &event);
+
+ private:
+  CameraTarget*     target;          //!< The Target of the Camera (where this Camera Looks at)
+
+  float             fovy;            //!< The field of view Angle (in degrees).
+  float             aspectRatio;     //!< The aspect ratio (width / height).
+  float             nearClip;        //!< The near clipping plane.
+  float             farClip;         //!< The far clipping plane.
+
+  Vector toRelCoor;                  //!< The relativeCoordinate to move the camera to.
+  float toFovy;                      //!< The fovy-mode to iterate to.
 };
 
Index: orxonox/trunk/src/world_entities/environment.cc
===================================================================
--- orxonox/trunk/src/world_entities/environment.cc	(revision 4489)
+++ orxonox/trunk/src/world_entities/environment.cc	(revision 4490)
@@ -26,12 +26,16 @@
 
 
-
+/**
+   \brief creates an environment
+*/
 Environment::Environment () : WorldEntity()
 {
-  this->model = (Model*) ResourceManager::getInstance()->load("cube", RP_LEVEL);
+
 }
 
 
-
+/**
+   \brief deletes an environment
+*/
 Environment::~Environment () 
 {
@@ -39,12 +43,28 @@
 }
 
+/**
+   \brief ticks the environment
+   \param time the time about which to tick
+*/
 void Environment::tick (float time) {}
 
+/**
+   \brief if a hit occures
+*/
 void Environment::hit (WorldEntity* weapon, Vector* loc) {}
 
+/**
+   \brief destroys an Environment
+*/
 void Environment::destroy () {}
 
+/**
+   \brief a collision with some ship
+*/
 void Environment::collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags) {}
 
+/**
+   \brief draws the Environment
+*/
 void Environment::draw () 
 {
Index: orxonox/trunk/src/world_entities/environment.h
===================================================================
--- orxonox/trunk/src/world_entities/environment.h	(revision 4489)
+++ orxonox/trunk/src/world_entities/environment.h	(revision 4490)
@@ -1,2 +1,7 @@
+/*!
+  \file environment.h
+  \brief This file handles the environment of the game
+*/
+
 #ifndef _ENVIRONEMENT_H
 #define _ENVIRONEMENT_H
@@ -4,5 +9,9 @@
 #include "world_entity.h"
 
-
+//! environment of orxonox
+/**
+   everything that does not interact with the player comes here
+   Environment is a container for all the worldEntities that are non-interactive
+*/
 class Environment : public WorldEntity 
 {
